cert_verify {openssl} | R Documentation

## X509 certificates

### Description

Read, download, analyize and verify X.509 certificates.

### Usage

    cert_verify(cert, root = ca_bundle())

    download_ssl_cert(host = "localhost", port = 443)

    ca_bundle()

### Arguments

`cert` | certficate (or certificate-chain) to be verified. Must be cert or list or path.
`root` | trusted pubkey or certificate(s) e.g. CA bundle.
`host` | string: hostname of the server to connect to
`port` | string or integer: port or protocol to use, e.g: `443` or `"https"`

### Details

If https verification fails and you can't figure out why, have a look at https://ssldecoder.org.

### See Also

read_cert

### Examples

    # Verify the r-project HTTPS cert
    chain <- download_ssl_cert("www.r-project.org", 443)
    print(chain)
    print(as.list(chain[[1]])$pubkey)
    cert_verify(chain, ca_bundle())

    # Another example
    chain <- download_ssl_cert("public.opencpu.org")
    ocpu <- chain[[1]]
    as.list(ocpu)$subject

    # Write PEM format
    write_pem(ocpu)

[Package openssl version 0.9.6 Index]